inttf NVIDIA 340.xx, 418.xx, 435.xx Patcher for Kernel 5.18/5.17/5.16/5.15/5.14/5.13 [BASH Script] - Comment Page: 7

This is a BASH script, which download NVIDIA installer, extract it, patch it and make new patched installer package. This is very quickly tested alpha version so if you have any problems please let me know or if this works as it should you can also let me know. I use here currently ARCH Linux Patches + my own patches. Currently this works with NVIDIA 340.108 / 418.113 / 435.21 drivers and latest 5.18, 5.17, 5.16, 5.15, 5.14, 5.13, 5.12, 5.11, 5.10 and 5.9 kernels. This should work with any distribution. You just need install wget and patch packages. Check video version of guide: Watch More Videos and Subscribe to if-not-true-then-false.com Youtube Channel Download and Use inttf NVIDIA...

184 comments on “inttf NVIDIA 340.xx, 418.xx, 435.xx Patcher for Kernel 5.18/5.17/5.16/5.15/5.14/5.13 [BASH Script] - Comment Page: 7

1 5 6 7
    1. the guide does not work in lenovo ideapad y410p. how to get it working & can be used for gaming & multimedia application in fedora design 36?

      the laptop has 2 vga..
      1. integrated intel HD 4600
      2. nvidia geforce gt 755M

      Reply
      • Hello roke,

        Unfortunately this guide is not for NVIDIA Optimus users. If you can disable NVIDIA Optimus / Intel graphics, then you are normally good to go.

        Reply
    2. Thank you for continually making these patches. They are keeping my Dell Precision running Manjaro Linux without any real headaches every Kernel update.

      I subscribed to your Youtube channel and will spam watch your vids.

      Reply
    3. Hi,
      I am a longtime beneficiary of your patches and guides, So much so that I never think twice about upgrading my Fedora install because you always get a patched version of the 390 drivers out before I can even fish installing the O/S. I just updated my Fedora 36 to kernel 5.18 and cannot build the nvidia driver 390.151 successfully. I used your inttf bash script to create a patched installer however it is still erroring out before finishing install. looks like a couple symbols during compile are missing or mis-defined according to the install log, while these are only compile warnings the flag to treat warnings as errors is set in the Makefile and thus the make is aborted. any ideas on how to build 390.151 with kernel 5.18? this is a Dell E6420 with an NVS4200 graphics card on a docking station.

      Reply
    4. As you know I’ve been using your patch system for a long time and am absolutely dependent on it for my favorite laptop.
      Love the work and can’t thank you enough!
      Quick question:
      I use XANMOD. Forever now, when I install the patch, I get the NVIDIA INSTALLER error that there’s a version mismatch between
      compilers but it’s just like .1 off so I usually just do EXPORT CC=/usr/bin/gcc-11 before the install and then select IGNORE
      VERSION DIFFERENCE and it has always worked. I don’t know if this is relevant to what I’m going to say next or not, but I
      thought I’d mention it.

      Since V5.18.X, I have only been able to get XANMOD 5.18.1 x64v2 working. All higher versions of XANMOD error out.
      However, all normal versions of the kernel work great. I’m currently on 5.18.10-051810-generic and it works great.
      I understand this is probably an issue with XANMOD, they must have done something different between version .1 and the
      higher versions, but any help would be appreciated.

      Again, thank you for everything! Looking forward to 5.19 and beyond!!! 8

      Reply
      • I was finally able to get 5.18.10-xanmod1 working but not the 5.18.10-xanmod1-x64v2, although 5.18.1 x64v2 works.
        Hmm… Strange. I don’t really understand what the diff is between the 5.18.1 and 5.18.1 x64v2, they are both x64 afaik. Anyhow just saying I got the one without x64v2 working. Cheers!

        Reply
    5. Worked like a charm in Pop OS after I blacklisted nouveau! You’re a lifesaver.

      Reply
      • Excellent to hear Isaac! Thank you!

        Reply
    6. Considering Kernel 6.0rc1 is out, is there any news on a patch for 5.19?
      I’ve checked several places where the patch sources come from and none of them seem to be updating. Is there a particular issue with 5.19?

      Reply
1 5 6 7

Leave a Reply

Your email address will not be published.

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Exit mobile version
Close